Qwt Polar User's Guide 1.1.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Typedefs Enumerations Enumerator Pages
Public Member Functions | List of all members
QwtPolarMarker Class Reference

A class for drawing markers. More...

`#include <qwt_polar_marker.h>`

Inheritance diagram for QwtPolarMarker:
[legend]

## Public Member Functions
| QwtPolarMarker ()
| Sets alignment to Qt::AlignCenter, and style to NoLine.
virtual | ~QwtPolarMarker ()
| Destructor.
virtual int | rtti () const
void | setPosition (const QwtPointPolar &)
| Change the position of the marker.
QwtPointPolar | position () const
void | setSymbol (const QwtSymbol *s)
| Assign a symbol. More...
const QwtSymbol * | symbol () const
void | setLabel (const QwtText &)
| Set the label. More...
QwtText | label () const
void | setLabelAlignment (Qt::Alignment)
| Set the alignment of the label. More...
Qt::Alignment | labelAlignment () const
virtual void | draw (QPainter *painter, const QwtScaleMap &azimuthMap, const QwtScaleMap &radialMap, const QPointF &pole, double radius, const QRectF &canvasRect) const
virtual QwtInterval | boundingInterval (int scaleId) const
Public Member Functions inherited from QwtPolarItem
| QwtPolarItem (const QwtText &title=QwtText())
virtual | ~QwtPolarItem ()
| Destroy the QwtPolarItem.
void | attach (QwtPolarPlot *plot)
| Attach the item to a plot. More...
void | detach ()
| This method detaches a QwtPolarItem from the QwtPolarPlot it has been associated with. More...
QwtPolarPlot * | plot () const
void | setTitle (const QString &title)
void | setTitle (const QwtText &title)
const QwtText & | title () const
void | setItemAttribute (ItemAttribute, bool on=true)
bool | testItemAttribute (ItemAttribute) const
void | setRenderHint (RenderHint, bool on=true)
bool | testRenderHint (RenderHint) const
void | setRenderThreadCount (uint numThreads)
uint | renderThreadCount () const
double | z () const
void | setZ (double z)
| Set the z value. More...
void | show ()
| Show the item.
void | hide ()
| Hide the item.
virtual void | setVisible (bool)
bool | isVisible () const
virtual void | itemChanged ()
virtual void | legendChanged ()
virtual void | updateScaleDiv (const QwtScaleDiv &, const QwtScaleDiv &, const QwtInterval &)
| Update the item to changes of the axes scale division. More...
virtual int | marginHint () const
void | setLegendIconSize (const QSize &)
QSize | legendIconSize () const
virtual QList< QwtLegendData > | legendData () const
| Return all information, that is needed to represent the item on the legend. More...
virtual QwtGraphic | legendIcon (int index, const QSizeF &) const

## Additional Inherited Members
Public Types inherited from QwtPolarItem
enum | RttiValues { Rtti_PolarItem = 0, Rtti_PolarGrid, Rtti_PolarMarker, Rtti_PolarCurve, Rtti_PolarSpectrogram, Rtti_PolarUserItem = 1000 }
| Runtime type information. More...
enum | ItemAttribute { Legend = 0x01, AutoScale = 0x02 }
| Plot Item Attributes. More...
enum | RenderHint { RenderAntialiased = 0x01 }
| Render hints. More...
typedef QFlags< ItemAttribute > | ItemAttributes
| Item attributes.
typedef QFlags< RenderHint > | RenderHints
| Item attributes.

## Detailed Description

A class for drawing markers.

A marker can be a a symbol, a label or a combination of them, which can be drawn around a center point inside a bounding rectangle.

The setSymbol() member assigns a symbol to the marker. The symbol is drawn at the specified point.

With setLabel(), a label can be assigned to the marker. The setLabelAlignment() member specifies where the label is drawn. All the Align*-constants in Qt::AlignmentFlags (see Qt documentation) are valid. The alignment refers to the center point of the marker, which means, for example, that the label would be painted left above the center point if the alignment was set to AlignLeft|AlignTop.

## Member Function Documentation

QwtInterval QwtPolarMarker::boundingInterval | ( | int | scaleId | ) | const
| virtual

Interval, that is necessary to display the item This interval can be useful for operations like clipping or autoscaling

Parameters

  scaleId | Scale index

Returns
  bounding interval ( == position )

See Also
  position()

Reimplemented from QwtPolarItem.

void QwtPolarMarker::draw | ( | QPainter * | painter,
|  | const QwtScaleMap & | azimuthMap,
|  | const QwtScaleMap & | radialMap,
|  | const QPointF & | pole,
|  | double | radius,
|  | const QRectF & | canvasRect
| ) |  | const
| virtual

Draw the marker

Parameters

  painter | Painter
  azimuthMap | Maps azimuth values to values related to 0.0, M_2PI
  radialMap | Maps radius values into painter coordinates.
  pole | Position of the pole in painter coordinates
  radius | Radius of the complete plot area in painter coordinates
  canvasRect | Contents rect of the canvas in painter coordinates

Implements QwtPolarItem.

QwtText QwtPolarMarker::label | ( |  | ) | const

Returns
  the label

See Also
  setLabel()

Qt::Alignment QwtPolarMarker::labelAlignment | ( |  | ) | const

Returns
  the label alignment

See Also
  setLabelAlignment()

QwtPointPolar QwtPolarMarker::position | ( |  | ) | const

Returns
  Position of the marker

int QwtPolarMarker::rtti | ( |  | ) | const
| virtual

Returns
  QwtPolarItem::Rtti_PlotMarker

Reimplemented from QwtPolarItem.

void QwtPolarMarker::setLabel | ( | const QwtText & | label | ) |

Set the label.

Parameters

  label | label text

See Also
  label()

void QwtPolarMarker::setLabelAlignment | ( | Qt::Alignment | align | ) |

Set the alignment of the label.

The alignment determines where the label is drawn relative to the marker's position.

Parameters

  align | Alignment. A combination of AlignTop, AlignBottom, AlignLeft, AlignRight, AlignCenter, AlgnHCenter, AlignVCenter.

See Also
  labelAlignment()

void QwtPolarMarker::setSymbol | ( | const QwtSymbol * | symbol | ) |

Assign a symbol.

Parameters

  symbol | New symbol

See Also
  symbol()

const QwtSymbol * QwtPolarMarker::symbol | ( |  | ) | const

Returns
  the symbol

See Also
  setSymbol(), QwtSymbol